Phone Number status
PhoneNumberStatusChangedWebhook is sent to the URL set up with the /webhooks endpoint for webhook
type PhoneNumberStatusChanged when a Phone Number status has been changed.
Authorization
basic Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Phone Number Status Has Changed event.
Response Body
curl -X POST "https://example.com/v1/Webhooks/PhoneNumberStatusChangedWebhook" \ -H "Content-Type: application/json" \ -d '{ "type": "PhoneNumberStatusChanged", "sid": "WH08df051c8bb9caba8080f92ed9ede60f8a337eae926d5b3c", "payload": { "number": "+13234567890", "oldStatus": "Pending", "newStatus": "PendingMessagingConfigAdd" } }'TCR Campaign POST
`TcrCampaignImportedWebhook` is sent to the URL set up with the `/webhooks` endpoint for webhook type `TcrCampaignImported` when a TCR campaign (which you shared with Telgorithm) is imported.
Inbound Call POST
`InboundCallReceivedWebhook` is sent to the URL set up with the `/webhooks` endpoint for webhook type `InboundCallReceived` when an Inbound Call is received. In order to proceed with the Inbound Call, you need to respond to this webhook with a Call Script. Examples of the Call Scripts: - Forward the Inbound Call to the specific Phone Number: `<Response><Dial>+1234567890</Dial></Response>` - Or forward to the specific SIP URI: `<Response><Dial>sip:username@server.com</Dial></Response>` Examples of valid SIP URI: - `sip:user@server.com:5060` - `sip:user@server.com;transport=TLS` - `sip:user@server.com?header1=value1&header2=value2` - `sip:user@server.com:5060;transport=TCP?header=value` ⚠️ **To use SIP destinations with Static Forwarding**, the receiving system must be configured to accept SIP traffic from the IP addresses below: - `137.192.78.201` - `137.192.80.201` These IPs should be added to the receiving system’s allowlist or firewall rules to ensure successful call delivery. - Read the specified text and hangup: `<Response><Hangup>Hello voice</Hangup></Response>` - Hangup: `<Response><Hangup/></Response>` or any other response